| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSequenceOperation Struct Reference

A sequence operation. More...

`#include <ivaria/sequence.h>`

Inheritance diagram for iSequenceOperation:

[legend]
List of all members.

## Public Member Functions
virtual void | CleanupSequences ()=0
| This routine is responsible for forcibly cleaning up all references to sequences.
virtual void | Do (csTicks dt, iBase *params)=0
| Do the operation.

## Detailed Description

A sequence operation.

This is effectively a callback to the application.

Main creators of instances implementing this interface:

- Application using the sequence manager.

Main users of this interface:

- iSequence

Definition at line 39 of file sequence.h.

## Member Function Documentation

virtual void iSequenceOperation::CleanupSequences | ( |  | ) | `[pure virtual]`

This routine is responsible for forcibly cleaning up all references to sequences.

It is called when the sequence manager is destructed.

virtual void iSequenceOperation::Do | ( | csTicks | dt,
|  | iBase * | params |
| ) |  |  | `[pure virtual]`

Do the operation.

The dt parameter is the difference between the time the sequence manager is at now and the time this operation was supposed to happen. If this is 0 then the operation is called at the right time. If this is 1000 (for example) then the operation was called one second late. This latency can happen because the sequence manager only kicks in every frame and frame rate can be low.

The documentation for this struct was generated from the following file:

- ivaria/sequence.h